MAGE client SDK for JavaScript (ES5)
Clone or download
Latest commit 922785c Jul 27, 2018
Permalink
Type Name Latest commit message Commit time
Failed to load latest commit information.
docs Fix typo Jul 27, 2018
lib Fix msgServer does not start May 29, 2018
.eslintignore Linting now always-on May 12, 2017
.eslintrc.yaml Modify modules loading May 14, 2018
.gitignore Initial commit Jan 17, 2017
LICENSE Initial commit Jan 17, 2017
ReadMe.md Grammar fix in the ReadMe Jul 1, 2017
index.js Get config from server Apr 27, 2018
package-lock.json 1.1.0 Jul 27, 2018
package.json 1.1.0 Jul 27, 2018

ReadMe.md

MAGE SDK (Web)

This is the official MAGE SDK for web browsers.

  • Completely written in ES5 to be compatible with the widest range of browsers.
  • Uses CommonJS (require() calls and module.exports).

Compatibility

This version of mage-sdk-js works with MAGE >=1.1.0.

Installation

npm install --save mage-sdk-js

You can install some official MAGE client modules (client-side counterparts to server modules) via NPM as well:

npm install --save mage-sdk-js.session
npm install --save mage-sdk-js.logger
npm install --save mage-sdk-js.time
npm install --save mage-sdk-js.archivist

You can find all available MAGE client modules on NPM.

Read more